"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _utils = require("../utils");
var _Icon = _interopRequireWildcard(require("../Icon"));
var _Spinner = _interopRequireDefault(require("../Spinner"));
var _utils2 = require("../../utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Action` component is used mostly for navigation, to go between pages, and not for immediate action or submitting data.
 * @since 0.0.68
 */
const Action = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}action`,
    component: Tag = 'a',
    icon,
    onClick,
    rightAddon,
    bottomAddon,
    children,
    progress = false,
    primary = false,
    nowrap = false,
    outerProps = {},
    ...props
  } = _ref;
  const {
    className,
    component: RootTag = 'span',
    ...restOuterProps
  } = outerProps;
  icon = _Icon.default.create(icon, {
    className: `${baseClassName}__icon`,
    size: _Icon.ICON_SIZE_16
  });
  let size = _Icon.ICON_SIZE_16;
  if (/*#__PURE__*/(0, _react.isValidElement)(icon) && icon.props.size) {
    ({
      size
    } = icon.props);
  }
  const tagProps = {
    ...props,
    onClick,
    className: (0, _classnames.default)(props.className, `${baseClassName}__content`) || undefined
  };
  if (progress) {
    icon = /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
      size: size,
      className: `${baseClassName}__icon`,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Spinner.default, {})
    });
    tagProps.onClick = e => e.preventDefault();
    tagProps.tabIndex = -1;
  }

  // accessibility
  if (onClick) {
    tagProps.tabIndex = tagProps.tabIndex || 0;
    tagProps.role = 'button';
    tagProps.onKeyDown = (0, _utils.wrapFunction)(tagProps.onKeyDown, e => {
      if (e.key === 'Enter') {
        e.preventDefault();
        e.currentTarget.click();
      }
    });
  }
  const isIconOnly = !_react.Children.toArray(children).length && !rightAddon && !bottomAddon;

  // Add aria-label when only icon is defined
  if (isIconOnly && icon) {
    tagProps['aria-label'] = (0, _utils2.prepareIconName)(icon, isIconOnly);
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(RootTag, {
    className: (0, _classnames.default)(baseClassName, {
      [`${baseClassName}--size-${size}`]: icon || progress,
      [`${baseClassName}--progress`]: progress,
      [`${baseClassName}--primary`]: primary,
      [`${baseClassName}--nowrap`]: nowrap,
      [`${baseClassName}--icon`]: isIconOnly
    }, className),
    ...restOuterProps,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(Tag, {
      ...tagProps,
      children: [icon, children]
    }), rightAddon ? /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: `${baseClassName}__right-addon`,
      children: rightAddon
    }) : null, bottomAddon ? /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: `${baseClassName}__bottom-addon`,
      children: bottomAddon
    }) : null]
  });
};
var _default = exports.default = Action;