"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Alert` component is used for highlighting important content.
 *  For showing messages about state of the system it is recommended to use [StatusMessage](#!/StatusMessage)
 *  or [ExtendedStatusMessage](#!/ExtendedStatusMessage).
 * @since 0.0.35
 */
const Alert = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}alert`,
    className,
    intent,
    children,
    onClose,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: (0, _classnames.default)(baseClassName, {
      [`${baseClassName}--${intent}`]: intent
    }, className),
    role: intent === 'warning' || intent === 'danger' ? 'alert' : 'status',
    ...props,
    children: [onClose && /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: "close",
      onClick: onClose
    }), children]
  });
};
var _default = exports.default = Alert;