"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = require("react");
var _Button = _interopRequireDefault(require("../Button"));
var _ButtonContext = require("../Button/ButtonContext");
var _Translate = require("../Translate");
var _Progress = _interopRequireDefault(require("../Progress"));
var _ProgressStep = _interopRequireWildcard(require("../ProgressStep"));
var _constants = require("../../constants");
var _utils = require("../utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const additionalButtonsConfig = (0, _ButtonContext.getButtonContextValue)({
  defaultProps: {
    size: 'lg'
  }
});
class DrawerProgress extends _react.Component {
  constructor() {
    super(...arguments);
    (0, _defineProperty2.default)(this, "state", {
      status: null
    });
    (0, _defineProperty2.default)(this, "closeTimeout", void 0);
    (0, _defineProperty2.default)(this, "handleStatusChange", status => {
      const {
        onClosableChange,
        onFinish,
        onFail,
        cancelable,
        onStatusChange
      } = this.props;
      const isFinished = status === _ProgressStep.STATUS_DONE;
      const isFailed = status === _ProgressStep.STATUS_ERROR;
      (0, _utils.safeInvoke)(onStatusChange, status);
      this.setState({
        status
      });
      (0, _utils.safeInvoke)(onClosableChange, cancelable || isFinished || isFailed);
      if (isFinished) {
        (0, _utils.safeInvoke)(onFinish);
      } else if (isFailed) {
        (0, _utils.safeInvoke)(onFail);
      }
    });
    (0, _defineProperty2.default)(this, "handleClose", () => {
      const {
        onClose,
        onCancel,
        cancelable
      } = this.props;
      window.clearTimeout(this.closeTimeout);
      if (cancelable) {
        (0, _utils.safeInvoke)(onCancel);
      }
      (0, _utils.safeInvoke)(onClose);
    });
    (0, _defineProperty2.default)(this, "handleCancel", () => {
      const {
        onCancel,
        onClose,
        cancelable
      } = this.props;
      window.clearTimeout(this.closeTimeout);
      if (cancelable) {
        (0, _utils.safeInvoke)(onCancel);
      }
      (0, _utils.safeInvoke)(onClose);
    });
  }
  componentDidUpdate(_prevProps, prevState) {
    const {
      autoCloseTimeout,
      onStart
    } = this.props;
    const {
      status
    } = this.state;
    if (prevState.status !== _ProgressStep.STATUS_DONE && status === _ProgressStep.STATUS_DONE) {
      window.clearTimeout(this.closeTimeout);
      if (autoCloseTimeout !== null) {
        this.closeTimeout = window.setTimeout(this.handleClose, autoCloseTimeout);
      }
    }
    if (prevState.status === _ProgressStep.STATUS_NOT_STARTED && status !== _ProgressStep.STATUS_NOT_STARTED) {
      (0, _utils.safeInvoke)(onStart);
    }
  }
  componentWillUnmount() {
    window.clearTimeout(this.closeTimeout);
  }
  render() {
    const {
      baseClassName,
      title,
      steps,
      buttons,
      cancelable,
      render
    } = this.props;
    const {
      status
    } = this.state;
    const isFinished = status === _ProgressStep.STATUS_DONE;
    const isFailed = status === _ProgressStep.STATUS_ERROR;
    const canCancel = cancelable && !(isFinished || isFailed);
    const hasFooter = !!(buttons || canCancel);
    const content = /*#__PURE__*/(0, _jsxRuntime.jsxs)(_react.Fragment, {
      children: [title && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: `${baseClassName}__title`,
        children: title
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Progress.default, {
        onStatusChange: this.handleStatusChange,
        className: `${baseClassName}__progress`,
        children: steps.map((step, index) =>
        /*#__PURE__*/
        // eslint-disable-next-line react/no-array-index-key
        (0, _jsxRuntime.jsx)(_ProgressStep.default, {
          ...step
        }, index.toString()))
      })]
    });
    const footer = hasFooter ? /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: `${baseClassName}__footer`,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_ButtonContext.ButtonContext.Provider, {
        value: additionalButtonsConfig,
        children: buttons
      }), canCancel && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        onClick: this.handleCancel,
        size: "lg",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Translate.InternalTranslate, {
          content: "DrawerProgress.cancelButton"
        })
      })]
    }) : null;
    return typeof render === 'function' ? render({
      content,
      footer
    }) : /*#__PURE__*/(0, _jsxRuntime.jsxs)(_react.Fragment, {
      children: [content, footer]
    });
  }
}
(0, _defineProperty2.default)(DrawerProgress, "defaultProps", {
  baseClassName: `${_constants.CLS_PREFIX}drawer-progress`,
  autoCloseTimeout: 0,
  cancelable: false,
  steps: []
});
var _default = exports.default = DrawerProgress;