"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _Popover = _interopRequireDefault(require("../Popover"));
var _Translate = require("../Translate");
var _estimatePassword = _interopRequireWildcard(require("./estimatePassword"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const strengthIntents = {
  VeryWeak: 'danger',
  Weak: 'danger',
  Medium: 'warning',
  Strong: 'success',
  VeryStrong: 'success'
};
const PasswordMeter = _ref => {
  let {
    value,
    visible,
    onEstimate,
    children,
    ...props
  } = _ref;
  const [result, setResult] = (0, _react.useState)(null);
  (0, _react.useEffect)(() => {
    if (!visible) {
      return;
    }
    Promise.resolve(onEstimate ? onEstimate(value, _estimatePassword.default, _estimatePassword.DEFAULT_RULES) : (0, _estimatePassword.default)(value)).then(result => {
      setResult(result);
    });
  }, [visible, value, onEstimate]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Popover.default, {
    visible: visible && result !== null,
    placement: "top-right",
    intent: result ? strengthIntents[result.strength] : undefined,
    canCloseOnOutsideClick: false,
    canCloseOnEscapePress: false,
    ...props,
    target: children,
    children: [result?.strength ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Translate.InternalTranslate, {
      component: "div",
      content: "FormFieldPassword.passwordStrength",
      params: {
        strength: /*#__PURE__*/(0, _jsxRuntime.jsx)("b", {
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Translate.InternalTranslate, {
            content: `FormFieldPassword.strength${result?.strength}`
          })
        })
      }
    }) : null, result?.suggestions.length ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Translate.InternalTranslate, {
        content: "FormFieldPassword.improvePassword"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("br", {}), /*#__PURE__*/(0, _jsxRuntime.jsx)("ul", {
        children: result.suggestions.slice(0, 3).map((suggestion, index) =>
        /*#__PURE__*/
        // eslint-disable-next-line react/no-array-index-key
        (0, _jsxRuntime.jsx)("li", {
          children: suggestion
        }, index.toString()))
      })]
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_Translate.InternalTranslate, {
      content: "FormFieldPassword.yourPasswordIsStrong"
    })]
  });
};
var _default = exports.default = PasswordMeter;