"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = require("react");
var _constants = require("../../constants");
var _FormField = _interopRequireWildcard(require("../FormField"));
var _Hint = _interopRequireDefault(require("../Hint"));
var _Radio = _interopRequireDefault(require("../Radio"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `FormFieldRadioButtons` is used for making a choice among a set of mutually exclusive, related options. Only one option can be chosen.
 * @since 0.2.0
 */
const FormFieldRadioButtons = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}form-field-radio-buttons`,
    className,
    options,
    autoFocus,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FormField.default, {
    className: (0, _classnames.default)(baseClassName, className),
    ...props,
    children: _ref2 => {
      let {
        getId,
        getName,
        getValue,
        setValue,
        isDisabled,
        getErrors,
        getDescriptionLabelId
      } = _ref2;
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("fieldset", {
        "aria-invalid": !!Object.keys(getErrors() ?? {}).length,
        "aria-describedby": getDescriptionLabelId(),
        className: `${baseClassName}__fieldset`,
        children: options.map((_ref3, index) => {
          let {
            value,
            label,
            description,
            disabled,
            indentFields = []
          } = _ref3;
          return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
            className: `${baseClassName}__radio`,
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Radio.default, {
              name: getName(),
              checked: getValue() === value,
              onChange: isChecked => {
                if (isChecked) {
                  setValue(value);
                }
              },
              disabled: isDisabled() || disabled,
              inputProps: {
                id: getId() ? `${getId()}-${value}` : undefined,
                name: getName(),
                value,
                autoFocus: index === 0 && autoFocus ? true : undefined
              },
              children: label || value
            }), description || indentFields ? /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
              className: `${baseClassName}__content`,
              children: [description && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Hint.default, {
                component: "div",
                className: `${_FormField.BASE_FORM_FIELD_CLASS_NAME}__description`,
                children: description
              }), indentFields.map(field => {
                if (isDisabled() || disabled || getValue() !== value) {
                  return /*#__PURE__*/(0, _react.cloneElement)(field, {
                    disabled: true
                  });
                }
                return field;
              })]
            }) : null]
          }, value);
        })
      });
    }
  });
};
var _default = exports.default = FormFieldRadioButtons;