"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `GridCol` component is a part of [Grid](#!/Grid) component.
 * @since 0.0.48
 */
const GridCol = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}grid__col`,
    className,
    children,
    xs,
    sm,
    md,
    lg,
    xl,
    ...props
  } = _ref;
  const computedClassName = (0, _classnames.default)(baseClassName, {
    [`${baseClassName}--xs-${xs}`]: xs,
    [`${baseClassName}--sm-${sm}`]: sm,
    [`${baseClassName}--md-${md}`]: md,
    [`${baseClassName}--lg-${lg}`]: lg,
    [`${baseClassName}--xl-${xl}`]: xl
  }, className);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: computedClassName,
    ...props,
    children: children
  });
};
var _default = exports.default = GridCol;