"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _Icon = _interopRequireWildcard(require("../Icon"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Heading` is used as a text title (or a subtitle) to define the hierarchy and the structure of the content.
 * @since 2.3.0
 */
const Heading = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}heading`,
    className,
    icon,
    children,
    component: Tag,
    level = 1,
    ...props
  } = _ref;
  if (!Tag) {
    Tag = `h${level}`;
  }
  let iconSize = _Icon.ICON_SIZE_16;
  if (level === 1) {
    iconSize = _Icon.ICON_SIZE_32;
  }
  if (level === 2 || level === 3) {
    iconSize = _Icon.ICON_SIZE_24;
  }
  if (level === 6) {
    iconSize = _Icon.ICON_SIZE_12;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(Tag, {
    className: (0, _classnames.default)(baseClassName, {
      [`${baseClassName}--h${level}`]: level,
      [`${baseClassName}--icon`]: icon
    }, className),
    ...props,
    children: [_Icon.default.create(icon, {
      className: `${baseClassName}__icon`,
      size: iconSize
    }), icon ? /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: `${baseClassName}__text`,
      children: children
    }) : children]
  });
};
var _default = exports.default = Heading;