"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.create = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireWildcard(require("react"));
var _Icon = _interopRequireDefault(require("./Icon"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const create = function (icon) {
  let defaults = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  if (!icon) {
    return icon;
  }
  const computedProps = {
    ...defaults
  };

  /* Hide the icon from assistive technologies unless labeled explicitly */
  if (!('aria-hidden' in defaults)) {
    if (!('aria-label' in defaults) && !('ariaLabel' in defaults)) {
      computedProps['aria-hidden'] = 'true';
    }
  }
  if (/*#__PURE__*/(0, _react.isValidElement)(icon)) {
    const {
      className,
      ...props
    } = icon.props;
    const newProps = {
      ...computedProps
    };
    Object.keys(props).forEach(name => {
      if (props[name] !== null && props[name] !== undefined) {
        newProps[name] = props[name];
      }
    });
    if (computedProps.className || className) {
      newProps.className = (0, _classnames.default)(computedProps.className, className);
    }
    return /*#__PURE__*/(0, _react.cloneElement)(icon, newProps);
  }
  if (typeof icon === 'object') {
    const {
      className,
      ...props
    } = icon;
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
      ...computedProps,
      className: computedProps.className || className ? (0, _classnames.default)(computedProps.className, className) : null,
      ...props
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
    ...computedProps,
    name: icon
  });
};
exports.create = create;