"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _MenuItem = _interopRequireDefault(require("./MenuItem"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `MenuSelectableItem` is a part of [Menu](#!/Menu) component.
 * @since 0.0.57
 */
const MenuSelectableItem = _ref => {
  let {
    className,
    children,
    selected = false,
    baseClassName = `${_constants.CLS_PREFIX}menu__item`,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_MenuItem.default, {
    className: (0, _classnames.default)(baseClassName, className),
    icon: selected ? 'check-mark' : null,
    role: "menuitemcheckbox",
    "aria-checked": selected ? 'true' : 'false',
    ...props,
    children: children
  });
};
var _default = exports.default = MenuSelectableItem;