"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _ProgressIndicator = _interopRequireDefault(require("./ProgressIndicator"));
var _OnDarkContext = _interopRequireDefault(require("../OnDarkContext"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const ProgressBar = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}progress-bar`,
    className,
    intent,
    progress = -1,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(baseClassName, {
      [`${baseClassName}--on-dark`]: (0, _react.useContext)(_OnDarkContext.default)
    }, className),
    "aria-valuemin": 0,
    "aria-valuemax": 100,
    "aria-valuenow": progress >= 0 && progress <= 100 ? progress : undefined,
    role: "progressbar",
    ...props,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ProgressIndicator.default, {
      intent: intent,
      progress: progress
    })
  });
};
var _default = exports.default = ProgressBar;