"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useVertical = void 0;
var _react = require("react");
var _hooks = require("../../hooks");
var _VerticalContext = _interopRequireWildcard(require("../VerticalContext"));
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const isVertical = containerRef => {
  if (!containerRef.current) {
    return false;
  }
  const {
    width
  } = containerRef.current.getBoundingClientRect();
  return width < _VerticalContext.VERTICAL_BREAKPOINT;
};
const useVertical = (externalVertical, containerRef) => {
  const verticalContext = (0, _react.useContext)(_VerticalContext.default);
  const [internalVertical, setInternalVertical] = (0, _react.useState)(false);
  (0, _react.useLayoutEffect)(() => {
    setInternalVertical(isVertical(containerRef));
  }, [containerRef]);
  (0, _hooks.useResizeObserver)({
    ref: containerRef,
    onResize: () => {
      setInternalVertical(isVertical(containerRef));
    },
    callOnInit: false
  });
  const vertical = [externalVertical, verticalContext, internalVertical].find(v => typeof v === 'boolean');
  return vertical;
};
exports.useVertical = useVertical;