"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Spinner` component.
 */
const Spinner = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}spinner`,
    className,
    colorAnimation = true,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("svg", {
    className: (0, _classnames.default)(baseClassName, className, {
      [`${baseClassName}--color-animation`]: colorAnimation
    }),
    ...props,
    viewBox: "0 0 48 48",
    xmlns: "http://www.w3.org/2000/svg",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("circle", {
      className: `${baseClassName}__path`,
      fill: "none",
      strokeWidth: "6",
      strokeLinecap: "round",
      cx: "24",
      cy: "24",
      r: "21"
    })
  });
};
var _default = exports.default = Spinner;