"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _intentIconMap = require("../intentIconMap");
var _Action = _interopRequireDefault(require("../Action"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _OnDarkContext = _interopRequireDefault(require("../OnDarkContext"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const toIcon = (icon, intent) => {
  if (icon === false) {
    return undefined;
  }
  if ((icon === true || !icon) && intent) {
    icon = _intentIconMap.intentIconMap[intent];
  }
  return _Icon.default.create(icon, intent ? {
    name: _intentIconMap.intentIconMap[intent]
  } : undefined);
};

/**
 * `Status` component is used for indicating state of an object or the system.
 * @since 0.0.68
 */
const Status = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}status`,
    className,
    children,
    icon,
    intent,
    progress,
    compact,
    flip,
    outerProps = {},
    ...props
  } = _ref;
  if (intent === 'muted') {
    intent = 'inactive';
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Action.default, {
    component: "span",
    icon: compact ? undefined : toIcon(icon, intent),
    className: (0, _classnames.default)(baseClassName, {
      [`${baseClassName}--${intent}`]: intent && !progress,
      [`${baseClassName}--on-dark`]: (0, _react.useContext)(_OnDarkContext.default)
    }, className),
    role: intent === 'warning' || intent === 'danger' ? 'alert' : 'status',
    outerProps: {
      ...outerProps,
      className: (0, _classnames.default)({
        [`${baseClassName}--compact`]: compact,
        [`${baseClassName}--flip`]: flip
      }, outerProps.className)
    },
    progress: progress,
    ...props,
    children: children
  });
};
var _default = exports.default = Status;