"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _classnames = _interopRequireDefault(require("classnames"));
var _hooks = require("../../hooks");
var _Icon = _interopRequireDefault(require("../Icon"));
var _Tab = _interopRequireDefault(require("./Tab"));
var _TabListItem = _interopRequireDefault(require("./TabListItem"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const FakeTabs = _ref => {
  let {
    children,
    onResize,
    baseClassName
  } = _ref;
  const tabsRef = (0, _react.useRef)(null);
  (0, _hooks.useResizeObserver)({
    ref: tabsRef,
    onResize
  });
  const list = /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
    ref: tabsRef,
    className: (0, _classnames.default)(`${baseClassName}__tab-list`, `${baseClassName}__tab-list--fake`),
    children: [_react.Children.map(children, (tab, index) => {
      if (!tab || tab.type !== _Tab.default) {
        return null;
      }
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_TabListItem.default, {
        // eslint-disable-line react/no-array-index-key
        tab: tab,
        baseClassName: baseClassName,
        isFake: true
      }, index);
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
      className: (0, _classnames.default)(`${baseClassName}__tab`, `${baseClassName}__tab--more`),
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
        className: `${baseClassName}__link`,
        tabIndex: -1,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
          name: "three-dots-horizontal"
        })
      })
    })]
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: `${baseClassName}__fake-list-wrapper`,
    "aria-hidden": true,
    children: list
  });
};
var _default = exports.default = FakeTabs;