"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _utils = require("../utils");
var _TabClose = _interopRequireDefault(require("./TabClose"));
var _TabIcon = _interopRequireDefault(require("./TabIcon"));
var _TabLabel = _interopRequireDefault(require("./TabLabel"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const TabListItem = _ref => {
  let {
    tab,
    selected,
    onClick,
    monospacedWidth,
    baseClassName,
    isFake = false,
    tabPanelId,
    id
  } = _ref;
  const {
    title,
    label,
    icon,
    onActivate,
    onClose,
    component = 'a',
    style = {},
    ...tabProps
  } = tab.props;
  const closable = typeof onClose === 'function';
  const linkProps = isFake ? {
    tabIndex: -1
  } : {
    tabIndex: tabProps.tabIndex || 0,
    onClick,
    onKeyDown: (0, _utils.wrapFunction)(tabProps.onKeyDown, e => {
      if (e.key === 'Enter') {
        e.currentTarget.click();
      }
    }),
    role: 'tab',
    'aria-controls': selected ? tabPanelId : undefined,
    'aria-selected': selected || undefined,
    id,
    ...tabProps
  };
  const Tag = isFake ? 'a' : component;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
    className: (0, _classnames.default)(`${baseClassName}__tab`, selected && `${baseClassName}__tab--selected`, closable && `${baseClassName}__tab--closable`),
    role: isFake ? undefined : 'presentation',
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(Tag, {
      className: `${baseClassName}__link`,
      style: {
        width: monospacedWidth || undefined,
        ...style
      },
      ...linkProps,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_TabIcon.default, {
        icon: icon,
        baseClassName: baseClassName
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
        className: `${baseClassName}__tab-title`,
        children: title
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TabLabel.default, {
        label: label,
        tabMode: "tab",
        baseClassName: baseClassName
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TabClose.default, {
        onClose: onClose,
        tabMode: "tab",
        baseClassName: baseClassName
      })]
    })
  });
};
var _default = exports.default = TabListItem;