"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _DistractionFreeModeContext = _interopRequireDefault(require("../DistractionFreeModeContext"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `ToolbarExpander` is a part of the [Toolbar](#!/Toolbar) component.
 * It is used to split all toolbar controls into two groups:
 * all controls before ToolbarExpander are aligned left, and all controls after ToolbarExpander are aligned right.
 * @since 0.0.57
 */
const ToolbarExpander = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}toolbar__expander`,
    className,
    children,
    ...props
  } = _ref;
  const distractionFreeMode = (0, _react.useContext)(_DistractionFreeModeContext.default);
  if (distractionFreeMode && distractionFreeMode.enabled) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(baseClassName, className),
    ...props,
    children: children
  });
};
var _default = exports.default = ToolbarExpander;