"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.InternalTranslate = void 0;
var _LocaleProvider = require("../LocaleProvider");
var _locale = require("./locale");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Translate` component.
 * @since 0.0.42
 */
const Translate = _ref => {
  let {
    component,
    content,
    children,
    params,
    unsafe,
    fallback,
    namespace,
    translators,
    defaultMessages,
    ...props
  } = _ref;
  const Tag = component || 'span';
  const translate = (0, _LocaleProvider.useTranslate)(namespace);
  const key = content || children || '';
  const translator = translators && translators[key];
  if (translator) {
    if (typeof translator === 'function') {
      return translator(params);
    }
    return translator;
  }
  const message = translate(key, params, fallback, defaultMessages);
  const tagProps = {
    ...props
  };
  if (unsafe) {
    tagProps.dangerouslySetInnerHTML = {
      __html: message
    };
  } else {
    tagProps.children = message;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Tag, {
    ...tagProps
  });
};
var _default = exports.default = Translate;
const InternalTranslate = props => {
  const defaultMessages = (0, _locale.getLocaleMessages)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Translate, {
    ...props,
    defaultMessages: defaultMessages
  });
};
exports.InternalTranslate = InternalTranslate;