// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import classNames from 'classnames';
import { CLS_PREFIX } from '../../constants';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * `ButtonGroup` component is used for visual grouping of several [Buttons](#!/Button) together.
 * @since 0.0.37
 */
const ButtonGroup = _ref => {
  let {
    baseClassName = `${CLS_PREFIX}button-group`,
    className,
    children,
    innerRef,
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx("div", {
    className: classNames(baseClassName, className),
    ref: innerRef,
    ...props,
    children: children
  });
};
export default ButtonGroup;