// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import classNames from 'classnames';
import { CLS_PREFIX } from '../../constants';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * `ExtendedStatusMessageActions` is a part of [ExtendedStatusMessage](#!/ExtendedStatusMessage) component.
 * @since 0.0.35
 */

const ExtendedStatusMessageActions = _ref => {
  let {
    baseClassName = `${CLS_PREFIX}extended-status-message`,
    className,
    children,
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx("div", {
    className: classNames(`${baseClassName}__actions`, className),
    ...props,
    children: children
  });
};
export default ExtendedStatusMessageActions;