// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import classNames from 'classnames';
import { CLS_PREFIX } from '../../constants';
import Heading from '../Heading';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * `ExtendedStatusMessageTitle` is a part of [ExtendedStatusMessage](#!/ExtendedStatusMessage) component.
 * @since 0.0.35
 */

const ExtendedStatusMessageTitle = _ref => {
  let {
    baseClassName = `${CLS_PREFIX}extended-status-message`,
    className,
    children,
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx(Heading, {
    level: 3,
    className: classNames(`${baseClassName}__title`, className),
    ...props,
    children: children
  });
};
export default ExtendedStatusMessageTitle;