// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import classNames from 'classnames';
import { CLS_PREFIX } from '../../constants';
import MenuBaseItem from './MenuBaseItem';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * `MenuHeader` is a part of [Menu](#!/Menu) component.
 * @since 0.0.57
 */
const MenuHeader = _ref => {
  let {
    className,
    children,
    baseClassName = `${CLS_PREFIX}menu__header`,
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx(MenuBaseItem, {
    className: classNames(baseClassName, className),
    role: "none",
    ...props,
    children: children
  });
};
export default MenuHeader;