// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import classNames from 'classnames';
import { CLS_PREFIX } from '../../constants';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * `Paragraph` is a block containing a single paragraph of [Text](#!/Text).
 * @since 1.1.0
 */
const Paragraph = _ref => {
  let {
    baseClassName = `${CLS_PREFIX}paragraph`,
    className,
    children,
    component: Tag = 'p',
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx(Tag, {
    className: classNames(baseClassName, className),
    ...props,
    children: children
  });
};
export default Paragraph;