// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import classNames from 'classnames';
import { CLS_PREFIX } from '../../constants';
import { jsx as _jsx } from "react/jsx-runtime";
const ProgressIndicator = _ref => {
  let {
    baseClassName = `${CLS_PREFIX}progress-bar__indicator`,
    className,
    intent,
    progress = -1,
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx("div", {
    className: classNames(baseClassName, {
      [`${baseClassName}--${intent}`]: intent,
      [`${baseClassName}--indeterminate`]: progress === -1
    }, className),
    style: progress >= 0 && progress <= 100 ? {
      width: `${progress}%`
    } : undefined,
    ...props
  });
};
export default ProgressIndicator;