// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

let baseUrl = '';
if (typeof window === 'object' && typeof window.require === 'function' && typeof window.require.toUrl === 'function') {
  baseUrl = window.require.toUrl('plesk-ui-library');
} else {
  const script = document.querySelector('script[src*="plesk-ui-library.js"], script[src*="plesk-ui-library.min.js"]');
  if (script) {
    baseUrl = script.src;
  }
}
if (baseUrl) {
  baseUrl = baseUrl.substr(0, baseUrl.lastIndexOf('/') + 1);
}

/* eslint-disable no-undef, camelcase */
if (typeof __webpack_public_path__ !== 'undefined' && baseUrl) {
  __webpack_public_path__ = baseUrl;
}
/* eslint-enable no-undef, camelcase */

// Workaround for ES6 module detection
export default null;