import { ReactNode, SyntheticEvent, FunctionComponent } from 'react';
import '../../helpers/base.less';
import './Alert.less';
export type AlertProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Visual intent color to apply to component.
     * @since 0.0.42
     */
    intent?: 'info' | 'success' | 'warning' | 'danger';
    /**
     * Content of the `Alert`
     * @since 0.0.37
     */
    children?: ReactNode;
    /**
     * Click handler for close button. Button will only be rendered if this prop is defined.
     * @since 0.0.38
     */
    onClose?: (e: SyntheticEvent<HTMLElement>) => void;
};
/**
 * `Alert` component is used for highlighting important content.
 *  For showing messages about state of the system it is recommended to use [StatusMessage](#!/StatusMessage)
 *  or [ExtendedStatusMessage](#!/ExtendedStatusMessage).
 * @since 0.0.35
 */
declare const Alert: FunctionComponent<AlertProps>;
export default Alert;
