import { ReactElement, RefObject, MutableRefObject } from 'react';
export interface AutoClosableProps {
    /**
     * onClose handler
     * @since 0.0.42
     */
    onClose?: () => void;
    /**
     * Content of the AutoClosable
     * @since 0.0.42
     */
    children: ReactElement;
    /**
     * Optional function that returns an array of DOM nodes clicks on which should be ignored.
     * @ignore
     */
    ignoreNodes?: () => (Node | null)[];
    /**
     * A React reference to the DOM element that needs tracking outside clicks.
     * @since 3.12.0
     */
    nodeRef?: RefObject<HTMLElement> | MutableRefObject<HTMLElement | undefined>;
}
/**
 * This is helper component for handling outside clicks.
 * @since 0.0.42
 */
declare const AutoClosable: ({ onClose, ignoreNodes, nodeRef, children }: AutoClosableProps) => import("react/jsx-runtime").JSX.Element;
export default AutoClosable;
