import { FunctionComponent, ReactNode } from 'react';
import './AuxiliaryActions.less';
export type AuxiliaryActionsProps = {
    /**
     * Actions
     * @since 0.4.1
     */
    children: ReactNode;
    /**
     * Custom separator between actions
     * @since 0.4.1
     */
    separator?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * Auxiliary Actions component is used for executing additional (not primary) actions.
 * @since 0.4.1
 */
declare const AuxiliaryActions: FunctionComponent<AuxiliaryActionsProps>;
export default AuxiliaryActions;
