import { FunctionComponent, ReactNode } from 'react';
import '../../helpers/base.less';
import './Badge.less';
export type BadgeProps = {
    /**
     * Display value. See [Label](#!/Label) for all props.
     * @since 0.0.58
     */
    label?: ReactNode;
    /**
     * Intent of the Label
     * @since 2.3.0
     */
    intent?: 'inactive' | 'success' | 'warning' | 'danger' | 'info';
    /**
     * Set true for hide the badge.
     * @since 0.0.58
     */
    hidden?: boolean;
    /**
     * Content of the `Badge`.
     * @since 0.0.58
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `Badge` component is used for showing small numerical value or status attached to an interface element.
 * @since 0.0.58
 */
declare const Badge: FunctionComponent<BadgeProps>;
export default Badge;
