import { ReactNode, FunctionComponent } from 'react';
import '../../helpers/base.less';
import './Breadcrumbs.less';
export type BreadcrumbsProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Content of the `Breadcrumbs`
     * @since 2.3.0
     */
    children: ReactNode;
};
/**
 * `Breadcrumbs` component indicates a position of current page in general hierarchy of all pages,
 * and it is used for navigation up to the main page of the product.
 * @since 2.3.0
 */
declare const Breadcrumbs: FunctionComponent<BreadcrumbsProps>;
export default Breadcrumbs;
