import { FunctionComponent, ReactNode, Ref, HTMLAttributes } from 'react';
import './ButtonGroup.less';
export type ButtonGroupProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Content of the button group
     * @since 0.0.37
     */
    children: ReactNode;
    /**
     * @ignore
     */
    innerRef?: Ref<HTMLDivElement>;
} & HTMLAttributes<HTMLDivElement>;
/**
 * `ButtonGroup` component is used for visual grouping of several [Buttons](#!/Button) together.
 * @since 0.0.37
 */
declare const ButtonGroup: FunctionComponent<ButtonGroupProps>;
export default ButtonGroup;
