import { FunctionComponent, ReactNode } from 'react';
import '../../helpers/base.less';
import './Columns.less';
export interface ColumnsProps {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Content of the `Columns`
     * @since 2.6.0
     */
    children: ReactNode;
    /**
     * Change columns' direction to vertical
     * @since 2.6.0
     */
    vertical?: boolean | number;
    /**
     * Specifying the gutters between columns
     * @since 2.6.0
     */
    gap?: 'xxs' | 'xs' | 'sm' | 'md' | 'lg' | 'xl';
}
/**
 * `Columns` component is used for creating of multi-column layouts.
 * @since 2.6.0
 */
declare const Columns: FunctionComponent<ColumnsProps>;
export default Columns;
