import { PureComponent, ReactNode, RefObject } from 'react';
import './ConsoleOutput.less';
export type ConsoleOutputProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Console output content
     * @since 0.0.42
     */
    children: ReactNode;
    /**
     * Enable wide mode
     * @since 0.0.35
     */
    wide?: boolean;
    /**
     * Enable cursor
     * @since 0.0.35
     */
    cursor?: boolean;
    /**
     * Enable auto scroll
     * @since 1.4.3
     */
    autoscroll?: boolean;
};
/**
 * `ConsoleOutput` component is used for showing dynamically updating data from console output.
 * @since 0.0.35
 */
declare class ConsoleOutput extends PureComponent<ConsoleOutputProps> {
    static defaultProps: {
        baseClassName: string;
        wide: boolean;
        cursor: boolean;
        autoscroll: boolean;
    };
    componentDidMount(): void;
    componentDidUpdate(): void;
    rootRef: RefObject<HTMLPreElement>;
    prevScrollTop: number;
    autoscrollCancelled: boolean;
    handleScroll: () => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default ConsoleOutput;
