import { FunctionComponent, ReactNode } from 'react';
import '../../helpers/base.less';
import './ContentLoader.less';
import { IconName } from '../Icon';
type Loader = 'spinner' | 'icons' | {
    type: 'icons';
    icons: IconName[];
    [key: string]: unknown;
};
export type ContentLoaderProps = {
    /**
     * Allows to set the text near the indicator.
     * @since 1.1.0
     */
    text?: ReactNode;
    /**
     * Type of loader.
     */
    loader?: Loader;
    /**
     * @ignore
     */
    overlay?: boolean;
    /**
     * @ignore
     */
    backdrop?: boolean;
    /**
     * @ignore
     */
    blur?: boolean;
    /**
     * @ignore
     */
    loading?: boolean;
    /**
     * @ignore
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    spinner?: {
        size?: 'sm';
    };
};
/**
 * `ContentLoader` component is used as placeholder which indicates that the system is loading requested content.
 * @since 1.1.0
 */
declare const ContentLoader: FunctionComponent<ContentLoaderProps>;
export default ContentLoader;
