import { HTMLAttributes, ReactNode } from 'react';
import './Cuttable.less';
export type CuttableProps = {
    /**
     * Content of the component.
     * @since 0.0.42
     */
    children: ReactNode;
    /**
     * Whether the component is open or closed.
     * @since 0.0.42
     */
    collapsed?: boolean;
    /**
     * Max height of content
     * @since 0.0.42
     */
    maxHeight?: string;
    /**
     * Localization messages
     * @since 0.0.42
     */
    locale?: {
        showMore: string;
        showLess: string;
    };
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
} & HTMLAttributes<HTMLDivElement>;
/**
 * `Cuttable` component is used for showing and hiding part of content.
 * @since 0.0.42
 */
declare const Cuttable: ({ children, collapsed: externalCollapsed, maxHeight, locale, className, baseClassName, ...props }: CuttableProps) => import("react/jsx-runtime").JSX.Element;
export default Cuttable;
