import { FunctionComponent, ReactNode } from 'react';
import './ExtendedStatusMessage.less';
export type ExtendedStatusMessageProps = {
    /**
     * @since 0.0.47
     */
    image?: ReactNode;
    /**
     * Visual intent color to apply to component.
     * @since 0.0.42
     */
    intent?: 'info' | 'success' | 'warning' | 'danger';
    /**
     * Content of the `ExtendedStatusMessage`.
     * @since 0.0.47
     */
    children?: ReactNode;
    /**
     * Indicate the loading state of the component.
     * @since 1.1.0
     */
    loading?: boolean | ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `ExtendedStatusMessage` component is similar to regular [StatusMessage](#!/StatusMessage)
 * but it is used when the message itself is the primary content on the page.
 * @since 0.0.35
 */
declare const ExtendedStatusMessage: FunctionComponent<ExtendedStatusMessageProps>;
export default ExtendedStatusMessage;
