import { HTMLAttributes, ReactNode } from 'react';
import './Figure.less';
export interface FigureProps extends HTMLAttributes<HTMLElement> {
    /**
     * External link
     * @since 0.0.42
     */
    href?: string;
    /**
     * Bottom content
     * @since 0.0.42
     */
    caption?: ReactNode;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
}
/**
 * Figure component.
 * @since 0.0.42
 */
declare const Figure: ({ baseClassName, className, href, caption, children, ...props }: FigureProps) => import("react/jsx-runtime").JSX.Element;
export default Figure;
