import { ReactNode } from 'react';
import { SectionContextType } from '../Section/SectionContext';
export type FormInstanceHandles = {
    submit: () => void;
};
export type FormValues = Record<string, any>;
export type FormFieldErrors = Record<string, any>;
export type FormErrors = Record<string, any>;
export type FormState<FV> = {
    values?: FV;
    vertical: boolean;
    requiredFields: string[];
    formContext: FormContextProps;
    prevValues?: FV;
    prevErrors?: FormErrors;
    prevRequiredMark?: ReactNode;
};
export type Field = {
    focus: (errors: FormFieldErrors) => void;
    sectionContext?: SectionContextType;
};
export type FormContextProps = {
    getValues: () => Readonly<FormValues> | undefined;
    getValue: (name: string, def?: any) => any;
    setValue: (name: string, value: any) => void;
    getErrors: (name: string) => {
        [key: string]: any;
    };
    setRequiredField: (name: string, required: boolean) => void;
    registerField: (name: string, field: Field) => void;
    unregisterField: (name: string) => void;
    getRequiredMark: () => ReactNode;
};
