import { FunctionComponent, ComponentProps } from 'react';
import { FormFieldProps } from '../FormField';
import Select from '../Select';
import './FormFieldSelect.less';
type SelectProps = Pick<ComponentProps<typeof Select>, 'children' | 'size' | 'multiple' | 'searchable' | 'clearable' | 'placeholder'>;
export type FormFieldSelectProps = SelectProps & Omit<FormFieldProps, 'children'>;
/**
 * `FormFieldSelect` component is used for making a choice among a set of related options.
 * See description of `Select` for [the full list of properties](#!/Select) of this component.
 * @since 1.12.3
 */
declare const FormFieldSelect: FunctionComponent<FormFieldSelectProps>;
export default FormFieldSelect;
