import { ReactNode, HTMLAttributes } from 'react';
type GridColSize = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;
export interface GridColProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * Content of the `GridCol`.
     * @since 0.0.48
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * Column size for `xs` breakpoint
     * @type number (1...12)
     * @since 0.0.53
     */
    xs?: GridColSize;
    /**
     * Column size for `sm` breakpoint
     * @type number (1...12)
     * @since 0.0.53
     */
    sm?: GridColSize;
    /**
     * Column size for `sm` breakpoint
     * @type number (1...12)
     * @since 0.0.53
     */
    md?: GridColSize;
    /**
     * Column size for `md` breakpoint
     * @type number (1...12)
     * @since 0.0.53
     */
    lg?: GridColSize;
    /**
     * Column size for `lg` breakpoint
     * @type number (1...12)
     * @since 0.0.53
     */
    xl?: GridColSize;
}
/**
 * `GridCol` component is a part of [Grid](#!/Grid) component.
 * @since 0.0.48
 */
declare const GridCol: ({ baseClassName, className, children, xs, sm, md, lg, xl, ...props }: GridColProps) => import("react/jsx-runtime").JSX.Element;
export default GridCol;
