import { ReactNode, ElementType } from 'react';
import '../../helpers/base.less';
import './Hint.less';
import { PolymorphicComponentProps } from '../../utils/types';
export type BaseHintProps = {
    /**
     * Content of the `Hint`.
     * @since 0.0.47
     */
    children: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
export type HintProps<Component extends ElementType = 'span'> = {
    /**
     * Component to render as the root element.
     * @since 3.30.0
     */
    component?: Component;
} & PolymorphicComponentProps<Component, BaseHintProps>;
/**
 * `Hint` component is used for auxiliary text like advice, suggestion or other useful practical information.
 * @since 0.0.35
 */
declare const Hint: <Component extends ElementType = "span">({ baseClassName, className, children, component, ...props }: HintProps<Component>) => import("react/jsx-runtime").JSX.Element;
export default Hint;
