import { ReactNode, FunctionComponent, HTMLProps } from 'react';
import './ItemLink.less';
export type ItemLinkProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    hoverable?: boolean;
    /**
     * Content of the `ItemLink`.
     * @since 2.3.0
     */
    children: ReactNode;
} & HTMLProps<HTMLDivElement>;
/**
 * `ItemLink` component is a part of [ItemList](#!/ItemList) and
 * is used for specifying a special action on the list (for example, adding new item).
 * @since 2.3.0
 */
declare const ItemLink: FunctionComponent<ItemLinkProps>;
export default ItemLink;
