import { ReactNode } from 'react';
import './ListActions.less';
export type ListActionsProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Array of ListAction.
     * @since 3.3.0
     */
    children: ReactNode;
    /**
     * Custom localization messages.
     * @since 3.6.0
     */
    locale?: {
        close?: ReactNode;
    };
};
/**
 * `ListActions` component is used for performing operations on individual objects in [List](#!/List).
 * @since 3.3.0
 */
declare const ListActions: ({ baseClassName, className, children, locale, ...props }: ListActionsProps) => import("react/jsx-runtime").JSX.Element;
export default ListActions;
