import { FunctionComponent, ReactNode } from 'react';
import './ListEmptyView.less';
export type ListEmptyViewProps = {
    /**
     * A title.
     * @since 2.5.0
     */
    title?: ReactNode;
    /**
     * An image. It can be a url.
     * @since 2.5.0
     */
    image?: ReactNode;
    /**
     * A description.
     * @since 2.5.0
     */
    description?: ReactNode;
    /**
     * An action button or buttons.
     * @since 2.5.0
     */
    actions?: ReactNode;
    /**
     * Type of view.
     * @since 3.0.1
     */
    reason?: 'filtered';
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `ListEmptyView` component is used for displaying "empty" state of [List](#!/List)
 * when there are no any objects are added to the list.
 * @since 2.5.0
 */
declare const ListEmptyView: FunctionComponent<ListEmptyViewProps>;
export default ListEmptyView;
