import { PureComponent, ReactNode } from 'react';
import PropTypes from 'prop-types';
type Message = string | Messages;
export type Messages = {
    [key: string]: Message;
};
type Translate = (key: string, params?: {
    [key: string]: unknown;
}, fallback?: string, defaultMessages?: Messages) => string | ReactNode[];
export declare const LocaleContext: import("react").Context<{
    locale: {
        lmsg: Translate;
    };
} | undefined>;
export type LocaleProviderProps = {
    /**
     * Localization messages
     * @since 0.0.42
     */
    messages: Messages;
    /**
     * @since 0.0.47
     */
    children: ReactNode;
};
/**
 * LocaleProvider provides a uniform localization support for built-in text of components.
 * @since 0.0.42
 */
declare class LocaleProvider extends PureComponent<LocaleProviderProps> {
    static childContextTypes: {
        locale: PropTypes.Requireable<object>;
    };
    getChildContext(): {
        locale: {
            lmsg: Translate;
        };
    };
    render(): import("react/jsx-runtime").JSX.Element;
}
export default LocaleProvider;
export declare const useTranslate: (namespace?: string) => Translate;
export declare const useInternalTranslate: (namespace?: string) => Translate;
export declare const LocaleBetaProvider: ({ messages, children }: LocaleProviderProps) => import("react/jsx-runtime").JSX.Element;
