import { HTMLAttributes } from 'react';
import './Markdown.less';
export type MarkdownProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Content of the Markdown
     * @since 0.0.42
     */
    children: string;
    /**
     * Compact mode
     * @since 0.0.42
     */
    compact?: boolean;
} & Omit<HTMLAttributes<HTMLDivElement>, 'children'>;
/**
 * `Markdown` component is used for creating content with rich text formatting.
 * @since 0.0.42
 */
declare const Markdown: ({ baseClassName, className, compact, children, ...props }: MarkdownProps) => import("react/jsx-runtime").JSX.Element;
export default Markdown;
