import { ElementType, ReactNode } from 'react';
import { IconName, IconProps } from '../Icon';
import { PolymorphicComponentProps } from '../../utils/types';
type MenuBaseItemBaseProps = {
    /**
     * Icon
     * @since 0.0.60
     */
    icon?: IconName | IconProps | ReactNode;
    /**
     * Right label of item.
     * @since 0.0.60
     */
    label?: ReactNode;
    /**
     * Content of the `MenuBaseItem`.
     * @since 0.0.60
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
export type MenuBaseItemProps<Component extends ElementType = 'div'> = {
    /**
     * Component to render as the root element. Useful when rendering a `MenuBaseItem` as other component or tag.
     * @since 1.9.1
     */
    component?: Component;
} & PolymorphicComponentProps<Component, MenuBaseItemBaseProps>;
/**
 * `MenuBaseItem` component.
 * @since 0.0.60
 */
declare const MenuBaseItem: ({ className, children, icon, label, component: Component, baseClassName, ...props }: MenuBaseItemProps) => import("react/jsx-runtime").JSX.Element;
export default MenuBaseItem;
