import { ElementType, ReactNode } from 'react';
import { MenuItemProps } from './MenuItem';
export type MenuSelectableItemProps<Component extends ElementType = 'div'> = {
    /**
     * Whether item is selected.
     * @since 0.0.57
     */
    selected?: boolean;
    /**
     * Content of the `MenuSelectableItem`.
     * @since 0.0.57
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
} & MenuItemProps<Component>;
/**
 * `MenuSelectableItem` is a part of [Menu](#!/Menu) component.
 * @since 0.0.57
 */
declare const MenuSelectableItem: ({ className, children, selected, baseClassName, ...props }: MenuSelectableItemProps) => import("react/jsx-runtime").JSX.Element;
export default MenuSelectableItem;
