import { ReactNode, FunctionComponent, ElementType } from 'react';
import '../../helpers/base.less';
import './Paragraph.less';
export type ParagraphProps = {
    /**
     * Content of the `Paragraph`.
     * @since 1.1.0
     */
    children: ReactNode;
    /**
     * Component to render as the root element.
     * @since 1.1.0
     */
    component?: string | ElementType;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `Paragraph` is a block containing a single paragraph of [Text](#!/Text).
 * @since 1.1.0
 */
declare const Paragraph: FunctionComponent<ParagraphProps>;
export default Paragraph;
