import { FunctionComponent } from 'react';
import './ProgressBar.less';
export type ProgressBarProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Visual intent color to apply to component.
     */
    intent?: 'info' | 'success' | 'warning' | 'danger';
    /**
     * Value between 0 and 100. Filling the progress indicator in percent.
     * If omit this property or set the value to -1, an "indeterminate" progress indicator is displayed.
     */
    progress?: number;
};
declare const ProgressBar: FunctionComponent<ProgressBarProps>;
export default ProgressBar;
