import { ReactNode, HTMLAttributes } from 'react';
import './SectionItem.less';
export interface SectionItemProps extends Omit<HTMLAttributes<HTMLDivElement>, 'title'> {
    /**
     * Content of the `SectionItem`.
     * @since 0.0.54
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * Title of the section item.
     * @since 0.0.54
     */
    title?: ReactNode;
    /**
     * Is this section item contains actions? If it so than there should be extra whitespaces.
     * @since 0.0.54
     */
    actions?: boolean;
    /**
     * @ignore
     */
    vertical?: boolean;
}
export declare const SECTION_ITEM_BASE_CLASS_NAME: string;
/**
 * `SectionItem` component is used for showing parameters and its values in [Section](#!/Section).
 * @since 0.0.54
 */
declare const SectionItem: ({ baseClassName, className, children, title, actions, vertical, ...props }: SectionItemProps) => import("react/jsx-runtime").JSX.Element;
export default SectionItem;
