import { ReactNode } from 'react';
import { Option, Value } from './structures';
import '../../helpers/base.less';
import './SelectControl.less';
type SelectControlProps = {
    id?: string;
    name?: string;
    baseClassName?: string;
    current?: Option | Option[];
    disabled: boolean;
    filterValue: string;
    searchable: boolean;
    clearable: boolean;
    multiple: boolean;
    placeholder?: ReactNode;
    onFilterChange: (filter: string) => void;
    onHighlightChange: (diff: number) => void;
    onHighlightConfirm: () => void;
    onHighlightSearch: (query: string) => void;
    onOpen: () => void;
    onClose: () => void;
    onClear: () => void;
    onValueRemove: (value?: Value) => void;
    opened?: boolean;
    listboxId?: string;
};
declare const SelectControl: import("react").ForwardRefExoticComponent<SelectControlProps & import("react").RefAttributes<HTMLDivElement>>;
export default SelectControl;
