import { ReactNode, FunctionComponent } from 'react';
export type SelectOptionProps = {
    /**
     * An option value. If it is not specified, children are used as the value.
     * @since 2.3.0
     */
    value?: string | number;
    /**
     * It needs only for search purpose. It must be specified if some component is used as children.
     * @since 2.3.0
     */
    label?: string;
    /**
     * Whether disabled or not.
     * @since 2.3.0
     */
    disabled?: boolean;
    /**
     * A display value.
     * @since 2.3.0
     */
    children: ReactNode;
};
/**
 * `SelectOption` is a part of [SelectOptionGroup](#!/SelectOptionGroup) component.
 * @since 2.3.0
 */
declare const SelectOption: FunctionComponent<SelectOptionProps>;
export default SelectOption;
