import { FunctionComponent, ReactElement, ComponentProps } from 'react';
import SelectOption from './SelectOption';
export type SelectOptionGroupProps = {
    /**
     * A group title.
     * @since 2.3.0
     */
    label: string;
    /**
     * An array of `SelectOption`.
     * @since 2.3.0
     */
    children: ReactElement<ComponentProps<typeof SelectOption>> | ReactElement<ComponentProps<typeof SelectOption>>[];
};
/**
 * `SelectOptionGroup` is a part of [Select](#!/Select) component. It can be used for splitting the list of all options into groups.
 * @since 2.3.0
 */
declare const SelectOptionGroup: FunctionComponent<SelectOptionGroupProps>;
export default SelectOptionGroup;
