import { FC, ComponentType, JSX } from 'react';
import { SkeletonProps } from './Skeleton';
import './SkeletonText.less';
export interface SkeletonTextProps {
    /**
     * Number of rows
     * @since 3.28.0
     */
    lines?: number;
    /**
     * Props for line
     * @since 3.28.0
     */
    lineProps?: SkeletonProps;
    /**
     * Component to render as the root element.
     * @since 3.28.0
     */
    component?: ComponentType | keyof JSX.IntrinsicElements;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
}
/**
 * Skeleton for text-containing components. Is can be used inside Paragraph, as title, or single text
 * @since 3.28.0
 */
declare const SkeletonText: FC<SkeletonTextProps>;
export default SkeletonText;
