import { ReactElement, ReactNode, RefObject } from 'react';
import SpotPulsar from './SpotPulsar';
import './SpotPopup.less';
type SpotPopupProps = {
    baseClassName?: string;
    className?: string;
    pulsar: ReactElement<typeof SpotPulsar>;
    pulsarRef: RefObject<HTMLElement>;
    size?: 'xs' | 'sm' | 'md';
    placement?: 'auto' | 'top-left' | 'top' | 'top-right' | 'right-top' | 'right' | 'right-bottom' | 'bottom-right' | 'bottom' | 'bottom-left' | 'left-bottom' | 'left' | 'left-top';
    buttons?: ReactElement[];
    title?: ReactNode;
    image?: ReactNode;
    children?: ReactNode;
    meta?: {
        current: number;
        total: number;
    };
    locale?: {
        total?: ReactNode | ((params?: {
            [key: string]: ReactNode;
        }) => ReactNode);
    };
    onClose?: () => void;
};
declare const SpotPopup: ({ baseClassName, className, pulsar, pulsarRef, title, placement, image, children, buttons, meta, onClose, size, locale, ...props }: SpotPopupProps) => import("react/jsx-runtime").JSX.Element;
export default SpotPopup;
