import { ReactNode, FunctionComponent } from 'react';
import './StatusMessage.less';
export type StatusMessageProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Visual intent color to apply to component.
     * @since 1.12.0
     */
    intent: 'danger' | 'warning' | 'success' | 'info';
    /**
     * Content of the `StatusMessage`
     * @since 1.12.0
     */
    children?: ReactNode;
};
/**
 * `StatusMessage` is used for notifying users about events happened (or going to happen) in the system.
 * For showing results of performed operations [Toaster](#!/Toaster) should be used.
 * @since 1.12.0
 */
declare const StatusMessage: FunctionComponent<StatusMessageProps>;
export default StatusMessage;
