import { ReactElement, KeyboardEvent } from 'react';
import './Subnav.less';
export interface SubnavProps {
    /**
     * Subnav items
     * @since 0.0.42
     */
    children?: ReactElement;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    onKeyDown?: (e: KeyboardEvent<HTMLDivElement>) => void;
}
/**
 * `Subnav` component is used when you need a second level navigation under [Tabs](#!/Tabs) on the screen.
 * @since 0.0.42
 */
declare const Subnav: ({ className, children, onKeyDown, baseClassName, ...props }: SubnavProps) => import("react/jsx-runtime").JSX.Element;
export interface SubnavItemProps {
    /**
     * Is item active.
     */
    active?: boolean;
    /**
     * Content of the item
     */
    children: ReactElement;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * SubnavItem component.
 */
declare const SubnavItem: ({ className, active, children, baseClassName, ...props }: SubnavItemProps) => ReactElement<any, string | import("react").JSXElementConstructor<any>>;
export default Subnav;
export { SubnavItem };
