import { ReactElement } from 'react';
import '../../helpers/base.less';
import './SwitchesPanel.less';
export interface SwitchesPanelProps {
    /**
     * Content of the `SwitchesPanel`. Recommended to use [SwitchesPanelItem](#!/SwitchesPanelItem) components.
     * @since 0.3.0
     */
    children?: ReactElement[] | ReactElement;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `SwitchesPanel` component is used for grouping several [SwitchesPanelItems](#!/SwitchesPanelItem) into one set.
 * @since 0.3.0
 */
declare const SwitchesPanel: ({ baseClassName, className, children, ...props }: SwitchesPanelProps) => import("react/jsx-runtime").JSX.Element;
export default SwitchesPanel;
