import { ReactElement, RefObject } from 'react';
import { IconName, IconProps } from '../Icon';
import './Toast.less';
export interface ToastProps {
    /**
     * Visual intent color to apply to component.
     */
    intent?: 'info' | 'success' | 'warning' | 'danger';
    message: string | ReactElement<any>;
    onClose?: () => void;
    /**
     * @deprecated Use `autoClosable`.
     */
    autoCloseTimeout?: number;
    closable?: boolean;
    /**
     * @since 3.29.0
     */
    accent?: boolean;
    /**
     * @since 3.29.0
     */
    icon?: IconName | IconProps | ReactElement<any>;
    /**
     * @since 3.9.0
     */
    autoClosable?: boolean;
    /**
     * Used to group toasts in the same group in Toaster `panel` view
     * Intent is used as a default group key
     * @ignore beta
     * @since 3.41.0
     */
    groupKey?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    innerRef?: RefObject<HTMLDivElement>;
}
declare const Toast: ({ baseClassName, className, message, intent, accent, icon, onClose, closable, autoClosable, autoCloseTimeout, innerRef, groupKey, ...props }: ToastProps) => import("react/jsx-runtime").JSX.Element;
export default Toast;
