declare const RegistryContext: import("react").Context<Registry | undefined>;
export default RegistryContext;
declare class Registry {
    private items;
    register(item: RegistryItem | Registry): void;
    unregister(item: RegistryItem | Registry): void;
    compact(): boolean;
    expand(): boolean;
    get isCompact(): boolean;
    get isExpandable(): boolean;
}
declare class RegistryItem {
    private _isCompact;
    private readonly onCompactStateChange;
    constructor({ onCompactStateChange }: {
        onCompactStateChange: (state: boolean) => void;
    });
    compact(): void;
    expand(): void;
    get isCompact(): boolean;
    get isExpandable(): boolean;
}
export declare const useRegistry: () => Registry;
export declare const useRegistryItem: () => boolean[];
