import { ReactNode } from 'react';
import '../../helpers/base.less';
import './Toolbar.less';
export interface ToolbarProps {
    /**
     * Content of the `Toolbar`.
     * @since 0.0.57
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `Toolbar` component is a panel containing various instruments used for managing the contents of a large content block.
 * Toolbar is located on top of the managed content block.
 * It typically consists of three main parts: controls that add new elements, controls that work with existing elements,
 * and controls for changing the way the content block looks.
 * @since 0.0.57
 */
declare const Toolbar: ({ children, className, baseClassName, ...props }: ToolbarProps) => import("react/jsx-runtime").JSX.Element;
export default Toolbar;
