import { ReactNode } from 'react';
export type ToolbarExpanderProps = {
    /**
     * Content of the `ToolbarExpander`.
     * @since 0.0.57
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `ToolbarExpander` is a part of the [Toolbar](#!/Toolbar) component.
 * It is used to split all toolbar controls into two groups:
 * all controls before ToolbarExpander are aligned left, and all controls after ToolbarExpander are aligned right.
 * @since 0.0.57
 */
declare const ToolbarExpander: ({ baseClassName, className, children, ...props }: ToolbarExpanderProps) => import("react/jsx-runtime").JSX.Element | null;
export default ToolbarExpander;
