import { ReactNode, ReactChild } from 'react';
export interface ToolbarGroupProps {
    /**
     * Title.
     * @since 0.0.60
     */
    title: ReactChild;
    /**
     * Whether to group children into a dropdown or not.
     * @since 3.8.0
     */
    groupable?: boolean;
    /**
     * Content of the `ToolbarGroup`.
     * @since 0.0.57
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `ToolbarGroup` is a part of [Toolbar](#!/Toolbar) component.
 * It is used for grouping several toolbar controls together.
 * @since 0.0.57
 */
declare const ToolbarGroup: ({ baseClassName, className, title, children, groupable, ...props }: Omit<ToolbarGroupProps, "distractionFreeMode" | "registry">) => import("react/jsx-runtime").JSX.Element | null;
export default ToolbarGroup;
