import { Component, CSSProperties, MouseEvent, ReactElement, ReactNode } from 'react';
import './Tooltip.less';
export interface TooltipProps {
    /**
     * Content of the tooltip
     * @since 0.0.42
     */
    title: ReactNode;
    /**
     * Element with tooltip
     * @since 0.0.42
     */
    children: ReactElement;
    /**
     * Show delay (ms)
     * @since 0.0.50
     */
    delay?: number;
    /**
     * @ignore
     */
    style?: CSSProperties;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `Tooltip` component is used for providing information about an interface element
 * while user hovers the pointer over the element.
 * @since 0.0.35
 */
declare class Tooltip extends Component<TooltipProps> {
    static defaultProps: {
        delay: number;
        style: undefined;
        className: undefined;
        baseClassName: string;
    };
    state: {
        left: number;
        top: number;
        ready: boolean;
        visible: boolean;
        id: string;
    };
    componentWillUnmount(): void;
    private timer;
    private tooltipRef;
    clearTimer: () => void;
    handleShow: () => void;
    handleHide: () => void;
    handleMouseEnter: () => void;
    handleMouseMove: (e: MouseEvent) => void;
    renderTooltip(): import("react/jsx-runtime").JSX.Element;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default Tooltip;
