import { ReactElement } from 'react';
import Spot from '../Spot';
export type TourProps = {
    /**
     * A number of current spot.
     * @since 2.7.0
     */
    current?: number;
    /**
     * A set of spots.
     * @since 2.7.0
     */
    children: ReactElement<typeof Spot>[];
    /**
     * A callback fired when some spot's popup is closed.
     * @since 2.7.0
     */
    onClose?: () => void;
};
/**
 * `Tour` component is used for introducing a new functionality in the product.
 * The component consists of several [Spots](#!/Spot), each of them highlighting a specific feature
 * or element you want to focus user attention on.
 * @since 2.7.0
 */
declare const Tour: ({ current, children, onClose }: TourProps) => import("react/jsx-runtime").JSX.Element | null;
export default Tour;
